<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div>
        <input type="number" id="input_one" class="input1 flex" placeholder="Enter Number" oninput="handleInputOne()"></input>
        <input type="number" id="input_two" class="input2 flex" placeholder="Enter Number" oninput="handleInputTwo()"></input>
    </div>
    <div class="dropdown flex" >
        <span id="operator" class="flex">+</span>
        <div class="dropdown-content flex">
            <p onclick="sum()">+</p>
            <p onclick="sub()">-</p>
            <p onclick="divi()">÷</p>
            <p onclick="mul()">x</p>

        </div>
    </div>
    <div>
        <button onclick="calculate()" class="ellipse flex">=</button>
        <div id="result" class="result flex">
            22
        </div>
    </div>
    <script>
        let input_one, input_two,operator="+";
        function handleInputOne() {
            input_one =parseInt( document.getElementById("input_one").value);
            console.log(input_one);
        }
        function handleInputTwo() {
            input_two = parseInt(document.getElementById("input_two").value);
            console.log(input_two);
        }
        function sum() {
            operator="+";
            document.getElementById("operator").innerHTML = "+";
        }
        function sub() {
            operator="-";
            document.getElementById("operator").innerHTML = "-";
        }
        function mul() {
            operator="*";
            document.getElementById("operator").innerHTML = "x";
        }
        function divi() {
            operator="/";
            document.getElementById("operator").innerHTML = "÷";
        }
        function calculate(){
            if(operator=="+"){
                document.getElementById("result").innerHTML = input_one+input_two;
            }
            else if(operator=="-"){
                document.getElementById("result").innerHTML = input_one-input_two;
            }
            else if(operator=="/"){
                document.getElementById("result").innerHTML = input_one/input_two;
            }
            else if(operator=="*"){
                document.getElementById("result").innerHTML = input_one*input_two;
            }
        }
        
    </script>
</body>

</html>